%define pypi_name  sphinx-mdinclude
%define srcname sphinx_mdinclude

Name:           python-%{pypi_name}
Version:        0.6.2
Release:        %mkrel 1
Summary:        Markdown extension for Sphinx
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/sphinx-mdinclude/
Source0:        %{pypi_source}
Patch1:         sphinx_mdinclude-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Sphinx extension for including or writing pages in Markdown format.

sphinx-mdinclude is a fork of m2r and m2r2, focused only on providing a Sphinx
extension.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
Sphinx extension for including or writing pages in Markdown format.

sphinx-mdinclude is a fork of m2r and m2r2, focused only on providing a Sphinx
extension.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Thu Apr 03 2025 daviddavid <daviddavid> 0.6.2-1.mga10
+ Revision: 2173218
- new version: 0.6.2

* Sun Mar 02 2025 wally <wally> 0.5.3-3.mga10
+ Revision: 2157611
- rebuild for python3.13

* Fri Jan 05 2024 papoteur <papoteur> 0.5.3-2.mga10
+ Revision: 2027818
- rebuild for python 3.12

* Sun Feb 12 2023 wally <wally> 0.5.3-1.mga9
+ Revision: 1941010
- imported package python-sphinx-mdinclude

